package api.txBanner

import android.app.Activity
import android.util.Log
import android.view.View
import com.qq.e.ads.banner.ADSize
import com.qq.e.ads.banner.AbstractBannerADListener
import com.qq.e.ads.banner.BannerView
import com.qq.e.comm.util.AdError

class TX_Banner:BannerAPI_TX(){
    private var banner: BannerView? = null
    override fun loadBanner(context: Activity?, GDTAPPID: String?, BannerID: String?, callBack: LoadBannerCallBack?): View {
        banner = BannerView(context, ADSize.BANNER, GDTAPPID, BannerID)
        //设置广告轮播时间，为0或30~120之间的数字，单位为s,0标识不自动轮播
        banner!!.setRefresh(0)
        banner!!.setADListener(object : AbstractBannerADListener() {
            override fun onNoAD(error: AdError) {
                Log.e("TX", "BannerNoAD，eCode=" + error.errorCode)
                callBack?.onNoBanner(error.errorCode.toString(), error.errorMsg)
            }

            override fun onADClicked() {
                super.onADClicked()
                Log.i("TX", "onBannerClicked")
                callBack?.onBannerClicked()
            }

            override fun onADExposure() {
                super.onADExposure()
                Log.i("TX", "onBannerExposure")
                callBack?.onBannerExposure()
            }

            override fun onADReceiv() {
                Log.i("TX", "onBannerReceiv")
                callBack?.onBannerReceiv()
            }
        })
        /* 发起广告请求，收到广告数据后会展示数据   */
        banner!!.loadAD()
        return banner as BannerView
    }

    override fun bannerDestroy() {
        banner?.destroy()
    }
}
